Dallas Semiconductor 1-Wire API 1.00 Alpha: Class Event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.application.tag
Class Event

    java.lang.Object
      |
      +--com.dalsemi.onewire.application.tag.TaggedDevice
            |
            +--com.dalsemi.onewire.application.tag.Event

All Implemented Interfaces:
  TaggedSensor

public class Event
extends TaggedDevice
implements TaggedSensor

This class provides a default object for the Event type of a tagged 1-Wire device.

Fields inherited from class com.dalsemi.onewire.application.tag.TaggedDevice
`branchVector, channel, clusterName, DeviceContainer, DeviceType, init, label, max, min, state`

Constructor Summary
`Event()` Creates an object for the device.
`Event(DSPortAdapter adapter, String netAddress)` Creates an object for the device with the supplied address and device type connected to the supplied port adapter.

Method Summary
`String` | `readSensor()` The readSensor method returns the "max" string if the Sensor (a switch) has had activity since last time it was checked for activity.

Methods inherited from class com.dalsemi.onewire.application.tag.TaggedDevice
`getBranches, getChannel, getChannelAsString, getClusterName, getDeviceContainer, getDeviceType, getInit, getLabel, getMax, getMin, getOWPath, setBranches, setChannel, setChannelFromString, setClusterName, setDeviceContainer, setDeviceType, setInit, setLabel, setOWPath, setOWPath`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event()

  Creates an object for the device.

### Event

    public Event(DSPortAdapter adapter,
                 String netAddress)

  Creates an object for the device with the supplied address and device type connected to the supplied port adapter.
  Parameters:
    `adapter` - The adapter serving the sensor.
    `netAddress` - The 1-Wire network address of the sensor.

Method Detail

### readSensor

    public String readSensor()
                      throws OneWireException

  The readSensor method returns the "max" string if the Sensor (a switch) has had activity since last time it was checked for activity.
  Specified by:
    `readSensor` in interface `TaggedSensor`
  Returns:
    String The "max" string associated with this Sensor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD